package com.dougmccune.muxmaster.formatters
{
	import mx.formatters.Formatter;

	public class TimeFormatter extends Formatter
	{
		public var includeZeros:Boolean = true;
		
		override public function format(value:Object):String {
			var seconds:int = Number(value)/1000;
			var minutes:int = Math.floor(seconds/60);
			
			seconds = Math.floor(seconds % 60);
			
			if(includeZeros || minutes > 0)
				return minutes + ":" + (seconds < 10 ? '0' : '') + seconds;
			else
				return String(seconds);
		}
	}
}